PowerPoint7Graph.cxx File Reference
`#include <cmath>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWPresentationListener.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "PowerPoint7Struct.hxx"`
`#include "PowerPoint7Graph.hxx"`
`#include "PowerPoint7Parser.hxx"`

## Classes

struct | PowerPoint7GraphInternal::Frame
| Internal: a frame of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::FrameArc
| Internal: a frame rect of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::FrameGroup
| Internal: a group of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::FramePlaceholder
| Internal: a frame placeholder of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::FramePolygon
| Internal: a polygon of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::FrameRect
| Internal: a frame rect of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::Picture
| Internal: a picture of a PowerPoint7Graph. More...
struct | PowerPoint7GraphInternal::State
| Internal: the state of a PowerPoint7Graph. More...
class | PowerPoint7GraphInternal::SubDocument
| Internal: the subdocument of a PowerPoint7Graph. More...

## Namespaces

namespace | PowerPoint7GraphInternal
| Internal: the structures of a PowerPoint7Graph.

## Variables

constexpr int | PowerPoint7GraphInternal::MAX_RECORD_NESTING = 1 << 10
| the maximum nesting level when reading nested container zones